methods:
  post:
    - "product{title}"
    - "product{summary}"
    - "product{description}"

fillin:
  enabled: true
  param:
   check_types:     [text, textarea, radio, hidden, checkbox, select]

names:
  product{title}:
    required:      true
    required_msg:  Titre obligatoire
    validators:    [MyTitleValidator]

  product{summary}:
    required:      false
    required_msg:  Titre obligatoire
    validators:    [MySummaryValidator]

  product{description}:
    required:      false
    required_msg:  Titre obligatoire
    validators:    [MyDescriptionValidator]

MyTitleValidator:
    class:         sfStringValidator
    param:
        min:       2
        min_error: Merci d'entrer au moins 2 caract&egrave;res
        max:       120
        max_error: Merci d'entrer moins de 120 caract&egrave;res

MySummaryValidator:
    class:         MyRichTextValidator
    param:
      max:              120
      max_error:  Merci d'entrer moins de %s caract&egrave;res, soit environ 1 ligne de saisie (vous avez entr&eacute; %s caract&egrave;res)

MyDescriptionValidator:
    class:         MyRichTextValidator
    param:
      max:              8092
      max_error:  Merci d'entrer moins de %s caract&egrave;res